var THREE = require('three');
require('../include/CSS3DRenderer');
var Edge = require('./structure/node').Edge;
var Node = require('./structure/node').Node;
var OrbitControls = require('three-orbit-controls')(THREE);
THREE.MeshLine = require('../include/THREE.MeshLine').MeshLine;
THREE.MeshLineMaterial = require('../include/THREE.MeshLine').MeshLineMaterial;
var d3 = require('d3');
var ee = require('event-emitter');

exports.default = {
  THREE: THREE,
  Edge: Edge,
  Node: Node,
  OrbitControls: OrbitControls,
  d3: d3,
  ee: ee,
  DEF_NODE_COLOR: 0x0055aa,
  DEF_NODE_HIGHLIGHT: 0xf39c12,
  DEF_ADJACENT_HIGHLIGHT: 0xf1c40f,
  DEF_NODE_HTEXTURE: "http://i.imgur.com/xzkxSIw.png",
  DEF_NODE_TEXTURE: "http://i.imgur.com/reTXqiM.png",
  DEF_NODE_NO_HTEX: true,
  DEF_NODE_NO_TEX: true,
  DEF_NODE_NO_HCOLOR: false,
  DEF_NODE_NO_COLOR: false,
  DEF_NODE_NO_HIGHLIGHT: false,
  DEF_NODE_SHAPE: "square",
  DEF_NODE_HSHAPE: "square",
  DEF_NODE_SIZE: 5,
  DEF_HIGHLIGHT_SIZE: 1.0,
  DEF_LAYOUT: "d3",
  DEF_LINES: "notfancy",
  DEF_MAP: true,
  DEF_TEXT_SCALE: true,
  DEF_TEXT_SIZE: 0.07,
  DEF_TEXT_X_OFFSET: 0.52,
  DEF_TEXT_Y_OFFSET: 0.35,
  DEF_TEXT_BACK_COLOR: "rgba(100, 100, 200, 0)",
  DEF_TEXT_OPACITY: "1",
  TEXT_WIREFRAME: false
}